#pragma once

#include "Adafruit_SSD1306.h"
#include "point.h"

class Circle {
public:
    Circle();
    Circle(Point top_left, double radius);

    double get_radius() const;
    void set_radius(double radius);

    double get_diameter() const;
    Point get_center() const;

    bool is_inside(const Point& p) const;

    Point top_left;

private:
    double radius;
};
