# Entwicklungstools unter macOS installieren

## Installieren der Kommandozeilen-Tools

Öffnen Sie ein Terminal und führen Sie den folgenden Befehl aus:

```bash
$ xcode-select --install 
```

Das Dollarzeichen gehört nicht zum Befehl, das ist nur der Prompt!

Sie benötigen eventuell einen Apple-Account, damit dies funktioniert.

## Homebrew installieren

Um einige zusätzliche Abhängigkeiten zu installieren benötigen Sie ``brew``.

Installieren Sie mit nachfolgendem Befehl ``brew``:

```bash
$ /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

**Sicherheitshinweis**: Der Befehl führt ein Skript aus dem Internet aus. Führen Sie solche Skripte nur aus, wenn Sie der Quelle vertrauen.

Mit nachfolgendem Befehl, wird die Installation von ``brew`` fertiggestellt

```bash
$ echo 'eval $(/opt/homebrew/bin/brew shellenv)' >> ~/.zprofile
```

## Weitere, notwendige Programme installieren

Starten Sie zuerst das Terminal neu.

Installieren Sie dann alle verbleibenden Tools:

```bash
$ brew install cmake ninja
```
