#include "util.h"

int doppelt(int zahl) {
    return zahl * 2;
}

void negate(std::vector<int>& vec) {
    for (int& zahl: vec) {
        if (zahl > 0) {
            zahl = -zahl;
        }
    }

    // Alternativ geht hier natürlich auch std::transform
}

int hamming(const std::string& str1, const std::string& str2) {
    if (str1.size() != str2.size()) {
        return -1;
    }

    // Option 1: foreach geht nicht, da wir den Index benötigen
    int unterschiede = 0;
    for (size_t i = 0; i < str1.size(); ++i) {
        if (str1[i] != str2[i]) {
            ++unterschiede;
        }
    }

    // Option 2: Iteratoren (hässlich :))
    unterschiede = 0;
    for (auto it = str1.begin(), it2 = str2.begin(); it != str1.end(); ++it, ++it2) {
        if (*it != *it2) {
            ++unterschiede;
        }
    }

    return unterschiede;
}
