#include <fstream>
#include <iostream>
#include <string>
#include <cstring> // für strerror

// Hier die Lösung für Aufgabe 1.3
int main(int argc, char** argv) {
    // Die Fehlerbehandlung war in der Aufgabe nicht explizit gefordert
    if (argc <= 1) {
        std::cerr << "Zu wenig Argumente!\n";
        return 1;
    }

    std::ifstream in(argv[1]);
    if (!in) {
        // Fehlerbehandlung
        std::cerr << "Fehler: " << strerror(errno) << "\n";
        return 1;
    }

    std::string zeile;
    while (std::getline(in, zeile)) {
        std::cout << zeile << "\n";
    }

    return 0;
}
