#include <fstream>
#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

// Hier die Lösung für Aufgabe 2.1
int main() {
    std::ifstream in("text/zahlen.txt");

    // Zahlen einlesen
    std::vector<int> zahlen;
    int zahl;
    while (in >> zahl) {
        std::cout << zahl << "\n";
        zahlen.push_back(zahl);
    }

    // Summe
    int sum = 0;
    for (int z: zahlen) {
        sum += z;
    }

    // Durchschnitt (double-cast notwendig, da sonst int-Division)
    double avg = static_cast<double>(sum) / zahlen.size();

    // Median
    std::sort(zahlen.begin(), zahlen.end());
    int median = zahlen[zahlen.size() / 2];

    std::cout << "Summe: " << sum << "\n";
    std::cout << "Durchschnitt: " << avg << "\n";
    std::cout << "Median: " << median << "\n";

    return 0;
}
