#include <iostream>
#include <cstdint>
#include <limits>

int main() {
    unsigned char c;
    unsigned short s;
    unsigned int i;
    unsigned long l;
    float f;
    double d;

    int64_t i64;
    uint64_t ui64;

    std::cout << "char: " << sizeof(char) << "\n";
    std::cout << "short: " << sizeof(short) << "\n";
    std::cout << "int: " << sizeof(int) << "\n";
    std::cout << "long: " << sizeof(long) << "\n";
    std::cout << "int64_t: " << sizeof(int64_t) << "\n";
    std::cout << "float: " << sizeof(float) << "\n";
    std::cout << "double: " << sizeof(double) << "\n";

    std::cout << "char: " << std::numeric_limits<char>::min() << " bis " << std::numeric_limits<char>::max() << "\n";
    std::cout << "unsigned char: " << std::numeric_limits<unsigned char>::min() << " bis " << std::numeric_limits<unsigned char>::max() << "\n";


    return 0;
}
