# 0

Strings haben viele nützliche Funktionen.

Diese Funktionen werden mittels ``string.funktion()`` aufgerufen. Da diese Funktionen der Klasse String sind, werden diese auch _Methoden_ genannt. Mit objektorientierter Programmierung beschäftigen wir uns später.

Hier werfen wir mal einen Blick auf einige.

Die komplette Referenz befindet sich [auf cplusplus.com](https://www.cplusplus.com/reference/string/string/
)

# 1

Diese Anweisung entspricht ``hallo = hallo + " Welt"``

Der String ``hallo`` hat jetzt also den Wert ``Hallo Welt``.

# 2

Mit ``size()`` wird die Größe des Strings in Byte ermittelt.

## Wie groß ist der String?

- 5 Byte
- 9 Byte
* 10 Byte

# 3

``empty()`` gibt einen Wahrheitswert zurück. ``true`` wenn der String leer ist, sonst ``false``.

## Welcher Wert wird hier zurückgegeben?

* ``false``
- ``true``
- ``no``

# 4

``front()`` gibt das erste Zeichen im String als ``char`` zurück, also ``H``.

Diese und alle weitere Funktionen, die auf dem Inhalt eines Strings agieren, lassen das Programm abstürzen, wenn der String leer ist.

# 5

Und ``back()`` das Letzte.

## Welches wäre das?

- ``H``
- ``o``
* ``t``
- ``W``

# 6

Mit eckigen Klammern kann der String indiziert werden.

Die Zählung beginnt dabei bei ``0``. Mit der ``0`` wird also das erste Element zurückgegeben und entspricht damit ``front()``.

# 7

## Welches Zeichen wird hier zurückgegeben?

- ``H``
* ``o``
- ``t``
- ``W``

# 8

Im Gegensatz zu Python kann nicht mit negativen Werten indiziert werden. Stattdessen nimmt man die Länge des Strings und zieht ``1`` ab.

So kann hier auf das _letzte Element_ des Strings zugegriffen werden, mit ``2`` auf das _vorletzte_ usw.

# 9

``substr`` extrahiert einen Teilstring.

Dieser Aufruf nimmt zwei Parameter:

1. Index vom Start
2. Länge. Wenn dieser Parameter fehlt, geht der Teilstring bis zum Stringende

Dieser Aufruf gibt also ``Welt`` zurück.

# 10

## Was gibt dieser Aufruf von ``substr`` zurück?

- ``Hallo Welt``
* ``Hallo``
- ``Welt``
- ``llo We``

# 11

Mit dieser Bedingung kann nun das erste Zeichen im String überprüft werden.

In diesem Fall ist die Bedingung wahr, wenn das erste Zeichen im String ein kleines oder großes ``a`` ist.
