#include <vector>

/**
 * Bildet die Summe aller Zahlen in einem Vector.
 * @param zahlenliste Vector mit Zahlen
 * @return Summe der Zahlen
 */
int sum(const std::vector<int>& zahlenliste) {
    int s = 0;
    for (int x: zahlenliste) {
        s += x;
    }
    return s;
}

int main() {
    std::vector<int> zahlen = {1, -4, -42, 1};

    const int summe = sum(zahlen);

    std::vector<int> zahlen2 = {-1, 4, 42, -1};

    const int summe2 = sum(zahlen2);


    return 0;
}
