#include <string>
#include <vector>
#include <algorithm>

/**
 * Zählt die Anzahl von konkreten Elementen in einem Vektor
 * @param vec Vektor
 * @param wert Zu zählender Wert im Vektor
 * @return Anzahl von Elementen die Wert entsprechen
 */
int anzahl_wert(const std::vector<int>& vec, int wert) {
    int anz = 0;
    for (int z: vec) {
        if (z == wert) {
            ++anz;
        }
    }
    return anz;
}

int main() {
    std::vector<int> zahlen = {1, 3, 5, 3, 1, 1, 2};

    int c = std::count(zahlen.begin(), zahlen.end(), 1);
    int d = std::count(zahlen.begin(), zahlen.end(), 4);


    return 0;
}
