#include <string>
#include <vector>

/**
 * Zählt, wie viele Elemente gerade sind
 * @param vec Vektor
 * @return Anzahl von Elementen, die gerade sind
 */
int anzahl_gerade(const std::vector<int>& vec) {
    int anz = 0;
    for (int z: vec) {
        if (z % 2 == 0) {
            ++anz;
        }
    }
    return anz;
}

/**
 * Zählt, wie viele Elemente ungerade sind
 * @param vec Vektor
 * @return Anzahl von Elementen, die ungerade sind
 */
int anzahl_ungerade(const std::vector<int>& vec) {
    int anz = 0;
    for (int z: vec) {
        if (z % 2 == 1) {
            ++anz;
        }
    }
    return anz;
}

int main() {
    std::vector<int> zahlen = {1, 3, 5, 3, 1, 1, 2};

    int g = anzahl_gerade(zahlen);
    int u = anzahl_ungerade(zahlen);


    return 0;
}
