#include <string>
#include <vector>

/**
 * Zählt die Elemente in einem Vektor
 * @param vec Vektor
 * @return Anzahl Elemente
 */
⁽template<typename T>⁾
int anzahl(const std::vector<⁵⁽T⁾>& vec) {
    int anz = 0;⁶
    for (⁽T⁾ z: vec) {
        ++anz;⁷
    }
    return anz;
}

int main() {
    std::vector<int> zahlen = {1, -4, 42, 13};
    std::vector<std::string> worte = {"Hallo", "Welt"};
    std::vector<double> dzahlen = {1.2, 3.5, 4.2};

    int c = ⁽anzahl(zahlen)⁾⁸;
    int d = ⁽anzahl(worte)⁾⁹;
    int e = ⁽anzahl(dzahlen)⁾¹⁰;


    return 0;
}
