# 0

Um dies alles etwas flexibler zu machen, soll der Nutzer nun den Dateinamen der zu lesenden Datei übergeben können.

Dafür verwenden wir _Kommandozeilenparameter_.

# 1

Um Kommandozeilenparameter zu übergeben, benötigen wir zwei neue Parameter für die ``main``-Funktion:

- ``int argc`` ist die Anzahl an Kommandozeilenparametern, also die Länge von ``argv``.
- ``char** argv`` ist eine Liste von Parametern.

``char**`` ist so etwas wie ``std::vector<std::string>``, stammt aber aus der Programmiersprache C. Wir werden es einfach wie einen String-Vektor behandeln und nicht weiter darauf eingehen.

Der erste Parameter, also ``argv[0]``, ist der Name des Programms. Die eigentlichen Parameter fangen also bei ``argv[1]`` an.

Die Parameter können auf der Kommandozeile übergeben werden. Diese werden durch Leerzeichen getrennt übergeben. Bei ``ls -l -a`` sind ``-l`` und ``-a`` jeweils ein Parameter.

Die Parameter können auch direkt in VsCode konfiguriert werden. Dafür muss in der ``launch.json`` die Zeile ``"args": []`` bearbeitet werden. In ``[]`` können kommagetrennt Zeichenketten übergeben werden. Jede Zeichenkette ist dabei ein Parameter.

# 2

Hier übergeben wir nun den ersten Parameter an ``std::ifstream``.

Es wird also der übergebene Parameter als Dateiname interpretiert und geöffnet.

# 3

Die Kommandozeilenparameter können hier bei ``args`` in der ``launch.json`` übergeben werden.

# 4

Jetzt ist beispielsweise der erste Parameter ``Numbers.txt``.

Dieser Parameter wird dann von unserem Hauptprogramm als Dateipfad interpretiert und geöffnet.

# 5

Werfen wir mal einen Blick in die Datei.

Wie hier zu sehen ist, besteht diese Datei aus mehreren Ganzzahlen.

# 6

Im Anschluss werden nun alle Zahlen aus der Datei ausgegeben.

# 7

Vorher sollte noch überprüft werden, ob überhaupt ein Parameter übergeben wurde.

Ohne diese Prüfung würde das Programm abstürzen, da außerhalb der Array-Grenzen indiziert wird.

Zudem sollte eigentlich noch überprüft werden, ob das Öffnen der Datei erfolgreich war. Diese Prüfung wurde hier der Einfachheit halber weggelassen.
