# 0

Hier behandeln wir das Schreiben von Dateien.

Zuerst fragen wir vom Benutzer eine Zahl und seinen Namen ab. Das ist überhaupt nichts Neues.

# 1

Die erste Neuheit ist ``std::ofstream``. Dies ist der Ausgabestrom, auf Englisch _output stream_.

Der Unterschied zur Eingabe ist also nur ein Buchstabe (``o`` vs. ``i``).

# 2

Das Schreiben in eine Datei funktioniert wie die Ausgabe auf der Konsole mit ``std::cout``.

Anstatt ``cout`` steht hier nun aber der Ausgabestrom ganz links.

Jetzt ist die Zahl auch schon in der Datei abgelegt.

# 3

Analog funktioniert das Schreiben von Zeichenketten.

# 4

Nun wollen wir den Dateiinhalt der gerade geschriebenen Datei wieder auslesen.

# 5

Syntaktisch funktioniert dies wie in den vorherigen Storytellern erklärt.

Aber wir werden feststellen: Das Einlesen funktioniert nicht zuverlässig.

Dies liegt daran, dass die geschriebenen Daten noch nicht wirklich geschrieben wurden.
Da Zugriff auf den Datenträger sehr langsam sind, puffer das Betriebssystem alle Daten und schreibt diese blockweise.

# 6

Damit die Daten garantiert geschrieben werden, muss der Ausgabestrom zuvor mit ``close`` geschlossen werden.

Wenn ein Stream in einem Scope ist (z.B. er ist in einer Funktion und die Funktion wird verlassen), wird der Stream automatisch geschlossen, wenn der Scope verlassen wird.
