#include "circle.h"

⁽#include <stdexcept>⁾⁷

Circle::Circle() {
    this->radius = 1.0;
}

Circle::Circle(const Point& centre, double radius) {
    this->centre = centre;
    this->radius = radius;
}

double Circle::get_diameter() {
    return radius * 2;
}

double Circle::get_radius() const {
    return radius;
}

void Circle::set_radius(double radius) {
    if (radius <= 0) {
        ⁽throw std::runtime_error("radius <= 0 ist unzulässig")⁾;
    }⁸

    this->radius = radius;
}
