#pragma once

/**
 * Ein Punkt im zweidimensionalen.
 * Beschrieben durch X- und Y-Koordinate.
 */
class Point {
public:
    Point();
    Point(double x, double y);

    double get_x() const;
    double get_y() const;

    void move_by(double dx, double dy);
    void move_to(double xn, double yn);

private:
    double x = 0.0;
    double y = 0.0;
}; // <-- WICHTIG, nicht vergessen
