# 0

Nun beschäftigen wir uns mit Speicherverwaltung.

Wie bereits in der Vorlesung erläutert existieren _Stack_ und _Heap_.

Auf dem _Stack_ werden alle zur Funktion gehörenden, lokalen Variablen abgelegt.

Der _Heap_ ist ein separater Bereich, wo Speicher angefordert werden kann. Dies kann auch automatisch passieren. ``std::vector`` wird beispielsweise auf dem Stack erzeugt, fordert aber Speicher für die Elemente auf dem Heap an.

# 1

Bereits bekannt: Dies hier erzeugt einen ``Point`` auf dem Stack.

Der ``Point`` ist nur ein Beispiel. Natürlich funktioniert dies auch mit anderen Klassen.

# 2

Beim Verlassen der Funktion (``return``) wird der Stack der Funktion (_Stackframe_) zerstört und der Speicher freigegeben.

``Point p`` wird hier also auch zerstört.

# 3

Mit geschweiften Klammern kann ein neuer _Scope_ definiert werden.

# 4

Im neuen _Scope_ können wie gewohnt Variablen erzeugt werden.

# 5

Hier endet der _Scope_. Lokale Variablen innerhalb des Scopes werden zerstört (also das ``q``).

Also dies ist prinzipiell nichts Neues. Auf dieses Verhalten verlassen Sie sich bereits das gesamte Semester lang.

