# 0

Ein Problem bei Pointern ist auch noch, dass nicht immer klar ist, wer für das Löschen zuständig ist.

Also man merkt hier vielleicht so langsam, warum _Raw Pointer_ schlecht sind.

# 1

Schauen wir uns mal die Funktion ``make_point`` an. Diese Funktion erzeugt einen Pointer und gibt diesen zurück.

Bei solcher Konstellation ist oft nicht ersichtlich, wer für das Löschen zuständig ist, da ein Pointer nicht automatisch bedeutet, dass dieser mit ``new`` erzeugt wurde.

# 2

Hier hat der Programmierer das Löschen vergessen oder dachte sich, dass der ``Point`` auf andere Art gelöscht wird: schlecht.

# 3

Mit ``delete`` ist alles wieder in Ordnung, aber nun sieht man bereits, dass ``new`` und ``delete`` diesmal nicht in derselben Funktion auftreten und es daher nun schwerer ist, den Speicher korrekt zu verwalten.
