#pragma once

class Led {
public:
    Led();
    Led(int port);

    unsigned char get_brightness() const;
    void set_brightness(unsigned char brightness_);

    bool is_on() const;
    bool is_off() const;

    void on();
    void off();
    void toggle();

    void pulse();

private:
    int port;
    unsigned char brightness = 255;
    bool led_on = false;
}; // <-- WICHTIG, Semikolon nicht vergessen
