#include <iostream>
#include <vector>

// void = keine Rückgabe
// & - Referenz
/**
 * Negiert die übergebene Zahl
 * @param zahl Zu negierende Zahl
 */
void negate(int& zahl) {
    zahl = -zahl;
}

int negate2(int zahl) {
    return -zahl;
}

// Gibt größtes und kleinstes Element eines Vektors zurück
// const-correctness
void minmax(const std::vector<int>& vec, int& min_out, int& max_out) {
    if (vec.empty()) {
        return;
    }

    min_out = vec.front();
    max_out = vec.front();

    for (int i: vec) {
        if (i < min_out) {
            min_out = i;
        }

        if (i > max_out) {
            max_out = i;
        }
    }
}

int main() {
    int a = 42;

    negate(a);

    std::vector<int> v = {-100, -300, 5, 67, 1, 6, 42, 2, -30, 2, -3, 0};

    int min_val;
    int max_val;

    minmax(v, min_val, max_val);

	return 0;
}
