#include "math.h"

int faculty(int n) {
    if (n <= 1) {
        return 1;
    } else {
        return n * faculty(n - 1);
    }
}

int fib(int n) {
    if (n <= 1) {
        return 1;
    } else {
        return fib(n - 1) + fib(n - 2);
    }
}

int fib_it(int n) {
    int prevprev = 0;
    int prev = 0;
    int cur = 1;

    for (int i = 1; i <= n; ++i) {
        prevprev = prev;
        prev = cur;
        cur = prevprev + prev;
    }
    return cur;
}
