#include <algorithm>
#include <iostream>
#include <vector>

int main() {
	std::vector<int> zahlen = {1, -4, 1, 13, -2, 5, -3};

    auto fn = [](int i) {
        return i < 0;
    };
    auto it = std::find_if(zahlen.begin(), zahlen.end(), fn);

    while (it != zahlen.end()) {
        std::cout << "Gefunden!\n";
        std::cout << "Wert: " << *it << "\n";
        std::cout << "Fundort: " << std::distance(zahlen.begin(), it) << "\n";

        it = std::find_if(std::next(it), zahlen.end(), fn);
    }

	return 0;
}
