#include <iostream>

#include "animal.h"

void makeSound(const Animal& a) {
    a.Sound();
}

int main() {
    Duck duck;
    Dog dog;
    Cat cat;

    Animal& animal = cat;
    Dog& not_a_dog = cat;

    duck.Sound();
    dog.Sound();
    cat.Sound();
    animal.Sound();
    not_a_dog.Sound();


    makeSound(duck);
    makeSound(dog);
    makeSound(cat);


    return 0;
}
