#include <iostream>
#include <memory>
#include "point.h"

int main() {
    std::unique_ptr<Point> p_outer;

    {
        auto p = std::make_unique<Point>(2, 4.2);
        Point& p_ref = *p;

        p->move_by(1, 1);

        std::cout << p->get_x() << ", " << p->get_x() << "\n";
        std::cout << p_ref.get_x() << ", " << p_ref.get_y() << "\n";

        p_outer = std::move(p);
    }

    std::cout << p_outer->get_x() << "\n";

    return 0;
}
