#include "sdl_helper.h"

#include <chrono>
#include <thread>

using namespace std::chrono_literals;

int main(int, char**) {
    SDL_Helper sdl_helper;

    SDL_Renderer* renderer = sdl_helper.get_renderer();

    // Zeichenfarbe auf weiß setzen
    SDL_SetRenderDrawColor(renderer, 0xFF, 0xFF, 0xFF, 0xFF);

    // Gesamtes Fenster weiß einfärben
    SDL_RenderClear(renderer);

    // Farbe auf rot setzen
    SDL_SetRenderDrawColor(renderer, 255, 0, 0, 255);

    for (int y = 0; y < 100; ++y) {
        for (int x = 0; x < 200; ++x) {
            SDL_RenderDrawPoint(renderer, x + 50, y + 10);
            SDL_RenderPresent(sdl_helper.get_renderer());

            std::this_thread::sleep_for(100us);
        }
    }

    SDL_SetRenderDrawColor(renderer, 0, 0, 255, 255);

    for (int y = 0; y < 50; ++y) {
        for (int x = 0; x < 100; ++x) {
            SDL_RenderDrawPoint(renderer, x + 100, y + 50);
            SDL_RenderPresent(sdl_helper.get_renderer());

            std::this_thread::sleep_for(100us);
        }
    }

    for (;;) {
        // Fenster neu zeichnen
        SDL_RenderPresent(sdl_helper.get_renderer());
    }

    return 0;
}
