#pragma once

#include "point.h"
#include "sprite.h"

class Rectangle : public Sprite {
public:
    Rectangle();
    Rectangle(Point top_left, double w, double h);

    double calc_area() const;
    double calc_circumference() const;

    void draw(SDL_Renderer* renderer) override;

    double height = 0.0;
    double width = 0.0;
};
