#pragma once

#include <SDL.h>
#include "point.h"

class Sprite {
public:
    virtual void draw(SDL_Renderer*) = 0;
    virtual void update();

    void set_color(int red, int green, int blue);

    Point position;
    Point velocity;

protected:
    int red = 0;
    int green = 0;
    int blue = 0;
};
