#include "rectangle.h"

Rectangle::Rectangle(Point top_left, double w, double h) {
    this->position = top_left;
    this->width = w;
    this->height = h;
}

void Rectangle::draw(Adafruit_SSD1306& display) {
    if (fill) {
        display.fillRect(position.x, position.y, width, height, WHITE);
    } else {
        display.drawRect(position.x, position.y, width, height, WHITE);
    }
}

double Rectangle::calc_area() const {
    return width * height;
}

double Rectangle::calc_circumference() const {
    return 2 * width + 2 * height;
}
