#pragma once

#include "sprite.h"

class Circle : public Sprite {
public:
    Circle();
    Circle(Point top_left, double radius);

    double get_radius() const;
    void set_radius(double radius);

    double get_diameter() const;
    Point get_center() const;

    bool is_inside(const Point& p) const;

    void draw(Adafruit_SSD1306&) override;

private:
    double radius;
};
