#include <Arduino.h>
#include <ArduinoSTL.h>

#include "led.h"

/** Hier können globale Variablen definiert werden. */
int counter = 0;

/** Wird nach der Hardware-Initialisierung einmalig aufgerufen */
void setup() {
    // Konsolenausgabe aktivieren
    Serial.begin(9600);

    std::cout << "Hallo Welt!\n";
}

/** Wird in einer Endlosschleife aufgerufen */
void loop() {



    // 16ms warten (sind dann etwa 60 Updates pro Sekunde)
    delay(16);

    // Der counter zählt, wie oft die Schleife durchlaufen wurde
    // Kann für Timings verwendet werden
    ++counter;
}
