#include "point.h"

#include <cmath>

Point::Point() {
    // Dieser Konstruktor macht nichts,
    // x und y sind schon auf 0.0 :)
}

Point::Point(double x, double y) {
    this->x = x;
    this->y = y;
}

void Point::move_by(double dx, double dy) {
    x += dx; // x = x + dx
    y += dy;
}

void Point::move_to(double xn, double yn) {
    x = xn;
    y = yn;
}

double Point::distance_to(const Point& other_p) const {
    return sqrt(
        pow(x - other_p.x, 2) +
        pow(y - other_p.y, 2)
    );
}
