// Stellt Arduino-spezifische Funktionatlitäten zur Verfügung
#include <Arduino.h>
// Port der C++-Standardbibliothek (enthält vector, string, usw.)
#include <ArduinoSTL.h>

/** Wird nach der Hardware-Initialisierung einmalig aufgerufen */
void setup() {
    // Den Pin der On-Board LED auf Ausgabe stellen
    pinMode(LED_BUILTIN, OUTPUT);
}

/** Wird in einer Endlosschleife aufgerufen */
void loop() {
    // Pin der On-Board LED auf 5V setzen (High)
    digitalWrite(LED_BUILTIN, HIGH);

    // 1s schlafen
    delay(1000);

    // Pin der On-Board LED auf 0V setzen (Low)
    digitalWrite(LED_BUILTIN, LOW);

    // 1s schlafen
    delay(1000);
}
