# Visual Studio Code (Einrichtung)

Nach dem ersten Start von Visual Studio Code müssen Sie einige Pakete installieren.

Gehen Sie dazu auf "Extensions" (fünftes Symbol in der Liste links).

![](Images/VsCode2.png)

Installieren Sie nun:

- C/C++ (_nicht_ das C/C++ Extension Pack)
- CMake Tools (CMake Tools von Microsoft, _nicht_ CMake von twxs!)
- clangd
- C-mantic
- Doxygen Documentation Generator
- EditorConfig for VsCode
- Optional: German Language Pack

![](Images/VsCode3.png)

Nun müssen noch einige Einstellungen getroffen werden.

Gehen Sie unten links auf das Zahnrad-Symbol, wählen Sie Einstellungen/Settings und suchen Sie nach "Generator".

Ändern Sie den Generator auf "Ninja". Mit dieser Option kompiliert der Code etwas schneller.

![](Images/VsCode_Config.png)

Suchen Sie im gleichen Dialog nun nach "intelli sense" und setzen Sie die "Intelli Sense Engine" auf "Disabled".

Intelli Sense ist eine Technologie von Microsoft, die beim programmieren hilft indem Fehler beim tippen angezeigt werden und Code farbig hervorgehoben wird. Das von uns installierte Plugin clangd ist aber besser, daher benötigen wir Intelli Sense nicht.

![](Images/VsCode_Config4.png)

Suchen Sie nun nach "Auto Save".

Setzen Sie "Auto Save" auf "afterDelay" und "Auto Save Delay" auf einen Wert zwischen 1000 und 5000. Mit dieser Option werden die Dateien automatisch nach eins bis fünf Sekunden abgespeichert.

![](Images/VsCode_Config3.png)

Abschließend suchen Sie noch nach "etter".

Stellen Sie "Getter Definition Location" und "Setter Definition Location" auf "Generate definition in matching source file". Was es mit dieser Option auf sich hat werden Sie erfahren, wenn wir in der zweiten Semesterhälfte über objektorientierte Programmierung reden.

![](Images/VsCode_Config2.png)

_Starten Sie nun Visual Studio Code neu_
