# Praktikum 3

Erstellen Sie für jede der Aufgaben eine neue C++-Datei und fügen Sie diese als neue Anwendung zu der ``CMakeLists.txt`` hinzu:

```cmake
add_executable(name_der_anwendung
	name_der_anwendung.cpp
)
```

Wobei ``name_der_anwendung`` z.B. mit ``aufgabe1`` oder ``aufgabe3`` ersetzt werden sollte.

Dieses Vorgehen haben Sie bereits im vorherigen Praktikum kennengelernt und sollte daher vertraut sein.


## Aufgabe 1

Zum Warm werden hier noch einmal if-Bedinungen.

Erinnern Sie sich auch an ``&&`` und ``||``.

Fragen Sie den Nutzer nach einer Jahreszahl und bestimmen Sie dann mit nachfolgendem Verfahren, ob das Jahr ein Schaltjahr ist (also 366 Tage hat anstatt 365).

Ein Jahr ist ein Schaltjahr, wenn:

### 1. Fall:

Das Jahr ist Teiler von vier _und_ das Jahr ist kein Teiler von 100.

### 2. Fall:

Das Jahr ist Teiler von vier _und_ das Jahr ist Teiler von 100 _und_ das Jahr ist Teiler von 400.

Wenn keiner der Fälle zutrifft, dann ist es kein Schaltjahr.

### Beispieljahre zum Testen:

- Schaltjahre sind u.a. ``1584``, ``1600``, ``2020``
- Keine Schaltjahre sind u.a. ``1585``, ``1800``, ``1900``

_Anmerkung_: _A ist Teiler von B_ bedeutet, dass A ohne Rest durch B teilbar ist.


## Aufgabe 2: Über- und Unterlauf

Wir haben in der Vorlesung über Über- und Unterlauf (overflow und underflow) gesprochen.

- Was versteht man unter diesen Begriffen?
- In welchen Situationen kann ein Überlauf auftreten?


## Aufgabe 3: Funktionen auf Strings

Definieren Sie zwei Strings. Einer heißt ``hallo`` und einer ``name``.

1. Fragen Sie den Nutzer nach einer Zahl und merken Sie sich diese (Variablenname egal)
2. Wenn die Eingabe 0 ist, soll ``hallo`` den Wert ``Hallo`` erhalten.
3. In allen anderen Fällen soll ``hallo`` den Wert ``Hi`` erhalten.
4. ``name`` soll ebenfalls vom Nutzer geeignet abgefragt werden.
5. Erzeugen Sie einen neuen String namens ``str``, der den folgenden Wert enthält: ``[hallo], [name]``. Die eckigen Klammern gehören nicht dazu, diese symbolisieren nur die Stellen, wo die gleichnamigen Variablen eingefügt werden sollen.
6. Geben Sie ``str`` aus.
7. Geben Sie die Länge von ``str`` aus.
8. Geben Sie das dritte Zeichen von ``str`` aus.

## Aufgabe 4: Funktionen auf Vektoren

Erzeugen Sie einen Vektor, der vier Ganzzahlen enthält. Die Zahlen können Sie sich selbst aussuchen.

1. Geben Sie die Anzahl an Elementen im Vektor auf der Konsole aus
2. Anschließend das 2. Element
3. Dann das letzte Element (möglichst auf eine Art, die für jeden Vektor universell funktioniert)
4. Fragen Sie den Benutzer nach einer Zahl
5. Hängen Sie diese Zahl an das Ende des Vektors an
6. Geben Sie nun das vorletzte Element aus (möglichst auf eine Art, die für jeden Vektor universell funktioniert)
7. Durchlaufen Sie den Vektor mit einer foreach-Schleife und geben Sie alle Elemente aus
8. (*) Ermitteln Sie die Summe über alle Elemente des Vektors und geben Sie die Summe aus
