#include "rechner.h"
#include <vector>

int get_and_pop(std::vector<int>& stapel) {
    int res = stapel.back();
    stapel.pop_back();
    return res;
}

int rechner(const std::string& term) {
    std::vector<int> stack;

    for (char ch: term) {
        if (ch == '+') {
            int zahl = get_and_pop(stack);
            int zahl2 = get_and_pop(stack);
            stack.push_back(zahl + zahl2);
        } else if (ch == '-') {
            int zahl = get_and_pop(stack);
            int zahl2 = get_and_pop(stack);
            stack.push_back(zahl - zahl2);
        } else if (ch == '*') {
            int zahl = get_and_pop(stack);
            int zahl2 = get_and_pop(stack);
            stack.push_back(zahl * zahl2);
        } else {
            // Annahme: Ist eine Zahl
            int zahl = ch - '0';
            stack.push_back(zahl);
        }
    }

    return stack.back();
}
