# Praktikum 5

## Aufgabe 1: Rekursion

### Aufgabe 1.1: Theoriefrage

Was bedeutet Rekursion?

### Aufgabe 1.2: Praxisaufgaben

Öffnen Sie das Projekt ``aufgabe1`` in Visual Studio Code und implementieren Sie die nachfolgenden drei Funktionen in ``math.h`` bzw. ``math.cpp``.

Schreiben Sie wieder geeignete Tests in der ``main``-Funktion.

**Funktion ``int faculty(int n)``**

![](Images/faculty.png)

**Funktion ``int fib(int n)``**

![](Images/fib.png)

**Funktion ``int ggt(int a, int b)``**

![](Images/ggt.png)

## Aufgabe 2: Iteratoren

Machen Sie sich nochmal theoretisch mit Iteratoren vertraut.

### Aufgabe 2.1

Zeichen Sie auf einem Blatt einen Vektor mit den Elementen ``1``, ``2``, ``1``, ``5`` und ``2`` auf.

Zeichnen Sie nun (beschriftete) Pfeile in den Vektor ein für nachfolgende Teilaufgaben:

1. ``v.begin()`` und ``v.end()``
2. Angenommen Sie rufen nun ``auto it = std::find(v.begin(), v.end(), 2)`` auf. Wo zeigt der Iterator ``it`` hin?
3. Wo zeigt der Iterator nach ``it = std::find(std::next(it), v.end(), 2)`` hin?
4. Wo zeigt der Iterator nach einem weiteren ``it = std::find(std::next(it), v.end(), 2)`` hin?

### Aufgabe 2.2

Zeichen Sie erneut einen Vektor mit den Elementen ``1``, ``2``, ``1``, ``5`` und ``2`` auf und zeichnen Sie Pfeile ein:

1. Angenommen Sie rufen ``auto it = std::find(v.begin(), v.end(), 3)`` auf. Wo zeigt der Iterator ``it`` hin?
2. Wo zeigt der Iterator nach ``std::find(std::next(it), v.end(), 3)`` hin?

### Aufgabe 2.3

Zeichen Sie ein letztes Mal erneut den Vektor mit den Elementen ``1``, ``2``, ``1``, ``5`` und ``2`` auf und zeichnen Sie Pfeile ein für:

1. ``v.rbegin()`` und ``v.rend()``
2. Angenommen Sie rufen nun ``auto it = std::find(v.begin(), v.end(), 5)`` auf. Wo zeigt der Iterator ``it`` hin?

## Aufgabe 3

Öffnen Sie das Projekt ``aufgabe3`` in Visual Studio Code und lösen Sie in der ``main.cpp`` die Aufgaben in den Quelltextkommentaren.

Der Ansatz ist dabei egal, also Sie können foreach, ``std::algorithm`` und beliebige andere Dinge verwenden.

## Aufgabe 4

Öffnen Sie das Projekt ``aufgabe4`` in Visual Studio Code und implementieren Sie die nachfolgenden drei Funktionen in ``util.h`` bzw. ``util.cpp``.

### Aufgabe 4.1

Schreiben Sie eine Funktion namens ``doppelt``.

Diese Funktion akzeptiert eine Ganzzahl als Parameter und gibt das doppelte dieser Zahl zurück.

### Aufgabe 4.2

Schreiben Sie eine Funktion namens ``negate``.

Diese Funktion akzeptiert einen ``std::vector<int>&`` als Parameter und hat keinen Rückgabewert (``void``). Da der Vektor als Referenz übergeben wird, können Sie direkt die Elemente im Vektor manipulieren.

Alle positiven Zahlen im Vektor sollen negiert werden.

### Aufgabe 4.3 (*)

Schreiben Sie eine Funktion namens ``hamming``.

Diese Funktion berechnet die Hamming-Distanz. Dafür werden zwei Strings als Parameter benötigt.

Zurückgegeben wird die Hamming-Distanz als Ganzzahl.

Wenn die Länge der beiden Strings unterschiedlich ist, soll ``-1`` zurückgegeben werden.

Ansonsten soll gezählt werden, wie viele Zeichen unterschiedlich sind.

Beispiel:

- H**e**llo und H**a**llo haben eine Distanz von ``1``.
- **H**a**us** und **D**a**ch** haben eine Distanz von ``3``.
