#include <fstream>
#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

// Hier die Lösung für Aufgabe 2.2 und 2.3
// 2.2 ist wie 2.1, aber die Datentypen sollten double sein, da
// Gleitkommazahlen in zahlen2.txt vorkommen
int main() {
    std::ifstream in("text/zahlen2.txt");

    // Zahlen einlesen
    std::vector<double> zahlen;
    double zahl;
    while (in >> zahl) {
        std::cout << zahl << "\n";
        zahlen.push_back(zahl);
    }

    // Summe
    double sum = 0;
    for (auto z: zahlen) {
        sum += z;
    }

    // Durchschnitt
    double avg = sum / zahlen.size();

    // Median
    std::sort(zahlen.begin(), zahlen.end());
    int median = zahlen[zahlen.size() / 2];

    std::cout << "Summe: " << sum << "\n";
    std::cout << "Durchschnitt: " << avg << "\n";
    std::cout << "Median: " << median << "\n";

    // Aufgabe 2.3
    std::sort(zahlen.rbegin(), zahlen.rend());

    std::ofstream out("zahlen_sortiert.txt");
    for (auto z: zahlen) {
        out << z << "\n";
    }

    return 0;
}
