#include <fstream>
#include <iostream>
#include <string>
#include <vector>

int main() {
    std::ifstream in("text/hiscore.txt");

    std::vector<std::string> spieler;
    std::vector<int> punktzahl;

    std::string zeile1;
    while (std::getline(in, zeile1)) {
        // In zeile1 ist immer der Name
        spieler.push_back(zeile1);

        // Jetzt die Zeile mit der Punktzahl lesen
        std::string punkte;
        std::getline(in, punkte);
        punktzahl.push_back(std::stoi(punkte));
    }

    // Aufgabe 4.1
    for (int i = 0; i < 3; ++i) {
        std::cout << "Spieler " << i << ": " << spieler[i] << "\n";
    }

    int gesamtpunkte = 0;
    for (int p: punktzahl) {
        gesamtpunkte += p;
    }

    std::cout << "Gesamtpunkte: " << gesamtpunkte << "\n";

    // Aufgabe 4.2
    std::ofstream out("hiscore.csv");

    out << "name,punkte\n";

    for (size_t i = 0; i < spieler.size(); ++i) {
        out << spieler[i] << "," << punktzahl[i] << "\n";
    }

    return 0;
}
