# Praktikum 7: Modellierung

Heute wird ausnahmsweise nicht C++ programmiert, sondern über Softwarearchitektur gesprochen. Als Einstieg in die Modellierung erstellen wir heute einige UML-Diagramme an der Tafel.

Wie man einige dieser Diagramme in Quelltext überführt, wird dann im kommenden Praktikum die Aufgabe sein.

Lesen Sie die Aufgabentexte aufmerksam durch und überlegen Sie dann,

- welche der im Text genannten Dinge Klassen sein könnten
- welche der im Text genannten Dinge Eigenschaften (Attribute bzw. Felder) der Klasse sein könnten
- welche der im Text genannten Dinge Methoden (Funktionen) der Klasse sein könnten und
- wie die Klassen in Beziehung zueinander stehen (Assoziation oder Spezialisierung / Vererbung)

## Aufgabe 1

Sie möchten Vierecke und Kreise zeichnen.

Ein Viereck wird durch vier Eckpunkte beschrieben. Jeder Punkt hat eine X- und eine Y-Koordinate. Zusätzlich soll beim Rechteck Umfang und Flächeninhalt berechnet werden können.

Ein Kreis wird durch dessen Mittelpunkt und seinen Radius beschrieben. Beim Kreis soll für eine Kollisionsabfrage die Möglichkeit geben, die Distanz zu einem anderen Kreis zu bestimmen.

1. Erstellen Sie ein UML-Diagramm, um die beschriebene Umgebung zu modellieren. Zeichnen Sie auch Assoziationen zwischen den Komponenten.
2. Punkte sollen nun die Möglichkeit bekommen, um einen weiteren Punkt relativ und absolut verschoben zu werden. Ändern Sie das UML-Diagramm entsprechend ab.
3. X und Y sollen nur noch über Getter und Setter zugreifbar sein. Ändern Sie das UML-Diagramm entsprechend ab.

## Aufgabe 2

Zur Hochschule gehören Student(inn)en. Diese haben Vor- und Nachnamen, eine Matrikelnummer, ihr aktuelles Semester und ein Geburtsdatum. Student(inn)en können sich in Module einschreiben und an Veranstaltungen teilnehmen. Module haben einen Modulbezeichner und einen Namen. Zu jedem Modul gehören mehrere Veranstaltungen. Alle Veranstaltungen haben einen konkreten Termin und die Art der Veranstaltung (Vorlesung, Seminar, usw.).

An der Hochschule arbeiten Dozent(inn)en und Verwaltungsangestellte. Auch diese haben Vor- und Nachname und ein Geburtsdatum. Zusätzlich besitzen alle eine Mitarbeiternummer und eine wöchentliche Arbeitszeit. Da Dozent(inn)en Lehre geben, haben diese zusätzlich noch eine gewisse Menge an Semesterwochenstunden.

Die Veranstaltungen werden von Verwaltungsangestellten geplant und von einem/r Dozent/in gehalten.

1. Erstellen Sie ein UML-Diagramm, um die beschriebene Umgebung zu modellieren. Zeichnen Sie auch Assoziationen zwischen den Komponenten.
2. Prüfen Sie, ob manche der Klassen mittels einer Oberklasse spezialisiert werden können, weil diese über gemeinsame Eigenschaften verfügen und ändern Sie das Modell entsprechend ab
3. Bei den Personen soll nun auch das Alter ermittelt werden können. Wie gehen Sie vor?

## Aufgabe 3

Nächste Woche schauen wir uns noch das Programm yEd an.

Falls dafür keine Zeit ist, verlegen wir das auf kommende Woche.

Mit yEd können verschiedene Arten von Netzwerken dargestellt werden. Wir verwenden es für die Erstellung von UML-Diagrammen.

<https://www.yworks.com/products/yed/download>
