#pragma once

/**
 * Ein Punkt im zweidimensionalen.
 * Beschrieben durch X- und Y-Koordinate.
 */
class Point {
public:
    Point();

    Point(double x, double y);

    void move_by(double dx, double dy);
    void move_to(double xn, double yn);

    double get_x() const;
    double get_y() const;

    double distance_to(const Point& other_p) const;

private:
    void check_coordinates(double new_x, double new_y) const;

    double x = 0.0;
    double y = 0.0;
}; // <-- WICHTIG, Semikolon nicht vergessen
