#include "rectangle.h"

Rectangle::Rectangle(Point top_left, double w, double h) {
    this->position = top_left;
    this->width = w;
    this->height = h;
}

void Rectangle::draw(SDL_Renderer* renderer) {
    // Problem: Alle Werte sind double, SDL will aber int (casten)
    SDL_Rect rect = {
        static_cast<int>(position.x),
        static_cast<int>(position.y),
        static_cast<int>(width),
        static_cast<int>(height)
    };
    SDL_SetRenderDrawColor(renderer, red, green, blue, 0xFF);
    SDL_RenderFillRect(renderer, &rect);
}

double Rectangle::calc_area() const {
    return width * height;
}

double Rectangle::calc_circumference() const {
    return 2 * width + 2 * height;
}
