#pragma once

#include "sprite.h"
#include <vector>

class Board: public Sprite {
public:
    Board();

    void draw(SDL_Renderer* renderer) override;

    void update_field();

    const int field_dim = 30;
    const int rect_dim = 24;

    const int up = 0;
    const int down = 1;
    const int left = 2;
    const int right = 3;

private:
    int direction = right;

    int tick = 0;
    double ticks_per_move = 10;
};
