# 0

Bis jetzt kann Code nur von oben nach unten abgearbeitet werden. Das wiederholen von Code ist nicht möglich.

Um Code zu wiederholen gibt es Schleifen. In C++ gibt es verschiedene Arten von Schleifen.

Heute aber mal nur die einfache Variante. Nächste Woche folgen die weiteren Schleifen.

# 1

Das hier ist eine ``foreach``-Schleife.

Syntaktisch ist diese folgendermaßen aufgebaut:

- Am Anfang steht ``for``
- In der Klammer sind drei Komponenten:
    - Zuerst kommt der Datentyp der im Vektor ist und ein beliebiger Variablenname
    - Dann ein Doppelpunkt (``:``)
    - Und zuletzt der zu durchlaufende ``vector``

Dieser Code wird jetzt 5x durchlaufen und ``z`` hat bei jedem Durchlauf den Wert eines Listenelements, also ``1``, ``-3``, ``12``, ``7`` und ``15``.

Das lässt sich am Besten nachvollziehen, wenn man einen Debugger einsetzt.

# 2

Der Compiler kann den Datentyp der Variable auch automatisch ermitteln. Um diese Funktion zu verwenden, gibt man als Datentyp einfach ``auto`` an.

In Visual Studio Code kann der ermittelte Wert angezeigt werden, indem mit der Maus über das ``auto`` gefahren wird.

# 3

Da Strings und Vektoren sehr ähnlich sind, können Strings auf die gleiche Art durchlaufen werden.

Diese Schleife gibt also der Reihe nach alle Zeichen in der Zeichenkette aus, also ``H``, ``a``, usw.

## Welchen Datentyp hat der Compiler für ``c`` ermittelt?

- ``std::string``
* ``char``
- ``int``
- ``std::vector<char>``
