# 0

Diese Story behandelt eine komplexere Aufgabe, wo die Interaktion verschiedener Schleifen dargestellt wird.

Das Programm wird dem Nutzer Zahlen zeigen und ihn dann fragen, ob ihm die Zahl gefällt.

Wenn sie ihm gefällt, dann wird die Zahl vorgemerkt.

Am Ende werden alle gespeicherten Zahlen ausgegeben.

# 1

Das ist eine Endlosschleife, da sie keine _Abbruchbedingung_ hat.

Sie wird also unendlich lange ausgeführt.

Die einzige Möglichkeit eine solche Schleife abzubrechen ist mit ``break``.

Endlosschleifen gehen auch mit ``while (true)``, aber einige Compiler warnen hier, dass die Bedingung konstant ist.
Bei for-Schleifen gibt es diese Warnung nicht.

# 2

Das hier ist weiterhin eine Endlosschleife, da die Abbruchbedingung fehlt. Die Anzahl an Durchläufen wird nun aber gezählt.

# 3

Zuerst fragen wir den Benutzer, ob er die aktuelle Zahl mag.

Akzeptiert werden dabei drei Zeichen:

- ``j``: Die Zahl ist schön und wird im Vektor abgespeichert
- ``n``: Die Zahl wird verworfen
- ``e``: Die Endlosschleife wird mit ``break`` abgebrochen.

# 4

So könnte eine mögliche Implementierung aussehen.

Bei ``j`` und ``n`` wird die Schleife fortgesetzt, aber auch bei allen fehlerhaften Eingaben.

Dies gilt es noch zu lösen.

# 5

Die fehlerhafte Eingabe lässt sich mit einer while-Schleife lösen.

Die Schleife wird so lange wiederholt, bis die Eingabe gültig ist.

Hervorzuheben ist noch das ``= 'x'``. Die Variable muss initialisiert werden und ``x`` entspricht einer fehlerhaften Eingabe,
wodurch die Schleife mindestens einmal betreten wird.

# 6

Nach der Schleife werden nun noch die Anzahl an Zahlen und die Zahlen selbst ausgegeben.

Für die Ausgabe der Zahlen wird eine foreach-Schleife verwendet.
