#include <string>
#include <vector>

/**
 * Zählt die Elemente in einem Vektor
 * @param vec Vektor
 * @return Anzahl Elemente
 */
template<typename T>
int anzahl(const std::vector<T>& vec) {
    int anz = 0;
    for (const ⁽auto⁾&¹² z: vec) {
        ++anz;
    }
    return anz;
}

int main() {
    std::vector<int> zahlen = {1, -4, 42, 13};
    std::vector<std::string> worte = {"Hallo", "Welt"};
    std::vector<double> dzahlen = {1.2, 3.5, 4.2};

    int c = anzahl(zahlen);
    int d = anzahl(worte);
    int e = anzahl(dzahlen);


    return 0;
}
