#include <iostream>
#include <cctype>

int print_help() {
    std::cout << "Kommandozeilenparameter-Beispiel [Argumente...] WORT\n\n";
    std::cout << "-h,--help  Diese Hilfe\n";
    std::cout << "-u,--upper Wandelt das übergebene WORT in Großbuchstaben um\n";
    std::cout << "-l,--lower Wandelt das übergebene WORT in Kleinbuchstaben um\n";
    return 1;
}

int main(int argc, char** argv) {
    bool upper = false;
    bool lower = false;
    std::string wort;

    for (int i = 1; i < argc; ++i) {
        std::string arg = argv[i];
        if (arg == "-h" || arg == "--help") {
            return print_help();
        } else if (arg == "-u" || arg == "--upper") {
            upper = true;
        } else if (arg == "-l" || arg == "--lower") {
            lower = true;
        } else {
            wort = arg;
            break;
        }
    }

    ⁽if (upper) {
        for (char& c: wort) {
            c = toupper(c);
        }
    } else if (lower) {
        for (char& c: wort) {
            c = tolower(c);
        }
    }⁾

    std::cout << wort << "\n";⁸


    return 0;
}
