#include "point.h"

#include <iostream>

Point::Point() {
    // no-op
}

Point::Point(double x, double y) {
    this->x = x;
    this->y = y;
}

void Point::move_by(const Point& other_p) {
    x += other_p.x;
    y += other_p.y;
}

void Point::move_by(double other_x, double other_y) {
    move_by(Point(other_x, other_y));
}

void Point::print() {
    std::cout << "Point(" << x << ", " << y << ")";
}
