# 0

Hier erstellen wir beispielhaft eine neue Klasse namens ``Circle`` (Kreis).

Ein Kreis besteht aus einem Mittelpunkt und einem Radius.

Die Grundlagen dazu wurden bereits im ersten Storyteller geschaffen. Daher diesmal nur ein Schnelldurchlauf.

# 1

Dies ist das bekannte Grundgerüst jeder Klasse.

# 2

Zudem wollen wir nun einen parameterlosen Konstruktor definieren, der einen Einheitskreis erzeugt.

Dieser Kreis ist im Mittelpunkt des Koordinatensystems (also bei ``0, 0``) und hat einen Radius von ``1``.

# 3

Da der Kreis einen Mittelpunkt und einen Radius hat, fügen wir die passenden Felder hinzu.

# 4

Im parameterlosen Konstruktor setzen wir den Radius auf ``1.0``, damit es dem Einheitskreis genügt.

Den Mittelpunkt müssen wir nicht initialisieren, da ``Point`` ein Objekt ist. Aus diesem Grund wird der parameterlose Konstruktor automatisch aufgerufen und dieser setzt ``x`` und ``y`` bereits auf ``0``.

# 5

Zusätzlich soll ein Kreis auch durch Angabe von Mittelpunkt und Radius erzeugt werden können.

# 6

Der Konstruktor übernimmt einfach die übergebenen Werte.

Zu achten ist wieder auf das ``this->``, da es sonst nicht eindeutig ist.

# 7

Bei unserem Kreis soll auch der Durchmesser ermittelt werden können.

Da es sich beim Durchmesser um eine Eigenschaft handelt, die vom Radius abgeleitet werden kann, ist hier eine Methode ausreichend.

Für die Berechnung muss nichts am Kreis geändert werden, daher kann diese ``const`` sein.

# 8

Dies ist einfach die übliche Formel für den Durchmesser.

# 9

Hier wieder die Verwendung.

Damit wird ein Einheitskreis erzeugt.

# 10

Der Radius kann direkt modifiziert werden, wodurch sich dann der Durchmesser auch ändert.

# 11

Und natürlich kann auch der Mittelpunkt verwendet werden. Dort stehen dann alle Methoden und Felder von ``Point`` zur Verfügung.

Auf diese Art könnte beispielsweise auch der Mittelpunkt des Kreises und damit der ganze Kreis verschoben werden.
