#include <iostream>
#include <memory>
#include "point.h"

std::unique_ptr<Point> make_point(double where) {
    auto p = std::make_unique<Point>(where, where);
    return p;
}

int main() {
    auto q = make_point(1);
    std::cout << q->get_x() << "\n";

    Point* r = q.get();
    //delete r;

    q.reset(new Point(2, 3));

    std::unique_ptr<Point> s = std::move(q);


    return 0;
}
