# 0

Hier werden wir zwei Klassen kennenlernen, welche uns das Ansteuern der Komponenten erleichtern werden:

- ``Led`` für LEDs
- ``Button`` um Taster abzufragen

Zudem werden wir eine Lichterkette ohne die Verwendung von ``delay`` implementieren, da wir sonst nicht sinnvoll auf Tastendrücke reagieren können.

# 1

Die Klassen haben wir zusammen im Praktikum entworfen, daher nur ein kurzer Überblick:

Den Standardkonstruktor von ``Led`` können wir ignorieren. Dieser ist nur aus technischen Gründen da.

# 2

Wenn ein ``Led``-Objekt erzeugt wird, setzt es den übergebenen Pin auf ``OUTPUT`` und merkt sich den Pin (in ``port``) für die spätere Verwendung.

# 3

Mit ``get_brightness`` und ``set_brightness`` kann die Helligkeit der LED konfiguriert werden.

``set_brightness`` setzt diese Helligkeit auch direkt bei der LED.

Dies ist auch der Grund für Getter/Setter: Wäre dies ein normales Feld, könnte nicht automatisch die Helligkeit der LED gesetzt werden.

# 4

``on()`` und ``off()`` schalten die LED an bzw. aus.

Die Helligkeit wird gemerkt, daher ist beim Aufruf von ``on()`` die Helligkeit die gleiche wie vorher.

# 5

In ``pulse()`` wird die Helligkeit der LED schrittweise erhöht, bis diese nach ``255`` wieder zu ``0`` überläuft.

Diese Methode zeigt den Vorteil einer Klasse auf: Bei den LEDs können verschiedene Effekt-Funktionalitäten eingebaut werden und diese sind nur einen Methoden-Aufruf entfernt.
