#include "sort.h"

#include <algorithm>
#include <iostream>
#include <random>

void bubblesort(std::vector<int>& vec) {
    if (std::is_sorted(vec.begin(), vec.end())) {
        return;
    }

    for (size_t i = 0; i < vec.size() - 1; ++i) {
        for (size_t j = 0; j < vec.size() - i - 1; ++j) {
            if (vec[j] > vec[j+1]) {
                //std::swap(vec[j], vec[j+1]);
                int tmp = vec[j];
                vec[j] = vec[j + 1];
                vec[j + 1] = tmp;
            }
        }
    }
}

void bogosort(std::vector<int>& vec) {
    std::random_device rd;
    std::mt19937 g(rd());

    int steps = 0;
    while (!std::is_sorted(vec.begin(), vec.end())) {
        std::shuffle(vec.begin(), vec.end(), g);
        ++steps;
    }

    std::cout << "Sortiert nach " << steps << " Schritten.\n";
}
