#include <iostream>
#include <fstream>
#include <string>
#include <regex>
#include <vector>

std::vector<std::string> split(const std::string& str, const std::string& delimiter) {
    std::regex regex(delimiter);
    std::vector<std::string> list(
        std::sregex_token_iterator(str.begin(), str.end(), regex, -1), std::sregex_token_iterator());
    return list;
}

int main() {
    std::ifstream in("assets/iris.csv");

    while (in) {
        std::string line;
        std::getline(in, line);
        auto vec = split(line, ",");
    }

    return 0;
}
