#include <iostream>
#include <string>
#include <cctype>
#include "util.h"

int main() {
    // Hamming Signalwert
    std::string wort = "Hallo";
    std::string wort2 = "Hello";

    int ham = hamming(wort, wort2);

    if (ham == -1) {
        std::cout << "Fehler!\n";
    } else {
        std::cout << "Hamming: " << ham << "\n";
    }

    // atoi
    for(;;) {
        std::string zahl;
        std::cout << "Sag mir eine Zahl: ";
        std::cin >> zahl;

        if (atoi(zahl.c_str()) == 0) {
            std::cout << "Keine Zahl oder 0\n";
            if (isdigit(zahl[0])) {
                std::cout << "Es ist eine 0!\n";
                break;
            }
        } else {
            std::cout << "Eingegebene Zahl: " << zahl << "\n";
        }
    }

    // stoi
    for(;;) {
        std::string zahl;
        std::cout << "Sag mir eine Zahl: ";
        std::cin >> zahl;

        try {
            int conv_zahl = std::stoi(zahl);
            std::cout << "Die Zahl ist " << conv_zahl << "\n";
            break;
        } catch (std::invalid_argument& e) {
            std::cerr << "Dies ist keine Zahl! " << e.what() << "\n";
        } catch (std::out_of_range& e) {
            std::cerr << "Die Zahl ist zu groß oder klein! " << e.what() << "\n";
        }
    }

    return 0;
}
