#include "point.h"

Point::Point() {
    // no-op
}

Point::Point(double x, double y) {
    this->x = x;
    this->y = y;
}

double Point::get_x() const {
    return x;
}

double Point::get_y() const {
    return y;
}

void Point::move_by(double dx, double dy) {
    x += dx;
    y += dy;
}

void Point::move_to(double xn, double yn) {
    x = xn;
    y = yn;
}
