#include "sdl_helper.h"

int main(int, char**) {
    SDL_Helper sdl_helper;

    SDL_Renderer* renderer = sdl_helper.get_renderer();

    // Zeichenfarbe auf weiß setzen
    SDL_SetRenderDrawColor(renderer, 0xFF, 0xFF, 0xFF, 0xFF);

    for (;;) {
        // Gesamtes Fenster weiß einfärben
        SDL_RenderClear(renderer);

        // Änderungen sichtbar machen
        SDL_RenderPresent(renderer);

        SDL_Event evt;
        while (SDL_PollEvent(&evt)) {
            if (evt.type == SDL_QUIT) {
                // Benutzer hat Programmende angefordert (Fenster geschlossen)
                return 0;
            }
        }
    }

    return 0;
}
