#pragma once

#include <SDL.h>
#include <memory>

#include "sdl_deleter.h"

class SDL_Helper {
public:
    SDL_Helper();
    ~SDL_Helper();

    SDL_Renderer* get_renderer();

private:
    std::unique_ptr<SDL_Window, SdlDeleter> window;
    std::unique_ptr<SDL_Renderer, SdlDeleter> renderer;
};
