#pragma once

#include "Adafruit_SSD1306.h"
#include "point.h"

#include "sprite.h"

// Circle erbt von Sprite
class Circle : public Sprite {
public:
    Circle();
    Circle(Point top_left, double radius);

    double get_radius() const;
    void set_radius(double radius);

    double get_diameter() const;
    Point get_center() const;

    bool is_inside(const Point& p) const;

    // Implementieren in Kindklassen: Gleiche Signatur
    // Ohne virtual, aber override am Ende
    void draw(Adafruit_SSD1306& display) override;

private:
    double radius;
};
