#include "heart.h"
#include <vector>

// Alle Herzen sehen gleich aus, daher sollte das Aussehen des Herzens nicht
// zur Klasse gehören (Verschwendung von RAM)
std::vector<char> pixel_x = {2, 3, 4, 8, 9, 10, 1, 5, 7, 11, 0, 6, 12, 0, 12, 0, 12, 0, 12, 0, 12, 1, 11, 2, 10, 3, 9, 4, 8, 5, 7, 6};
std::vector<char> pixel_y = {0, 0, 0, 0, 0, 0,  1, 1, 1, 1 , 2, 2, 2 , 3,  3, 4,  4, 5,  5, 6,  6, 7,  7, 8,  8, 9, 9, 10, 10, 11, 11, 12};


Heart::Heart() {

}

Heart::Heart(Point top_left) {
    position = top_left;
}

void Heart::draw(Adafruit_SSD1306& display) {
    for (int i = 0; i < pixel_x.size(); ++i) {
        display.drawPixel(position.x + pixel_x[i], position.y + pixel_y[i], WHITE);
    }
}

