#pragma once

#include "point.h"

#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

class Sprite {
public:
    // virtual: Kann von Kind überschrieben werden
    // = 0: _Muss_ von Kind implementiert werden
    virtual void draw(Adafruit_SSD1306& display) = 0;

    // Verschiebt position um velocity (vektorielle Verschiebung)
    void update();

    Point position;
    Point velocity;
};
